Bug 1003834 - Xfce partially breaks GNOME help
Xfce partially breaks GNOME help
Status: ASSIGNED
Product: Fedora EPEL
Classification: Fedora
Component: exo (Show other bugs)
el6
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 06:20 EDT by Mark Whidby
Modified: 2015-09-27 17:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.xsession-errors from a session where the error occurred (1.13 KB, text/plain)
2013-09-04 04:14 EDT, Mark Whidby
no flags Details
Output from running gcalctool from a terminal window (527 bytes, text/plain)
2013-09-05 04:09 EDT, Mark Whidby
no flags Details
strace output from gcalctool - error does NOT occur (1.05 MB, text/plain)
2013-09-09 04:32 EDT, Mark Whidby
no flags Details
strace output from gcalctool - error occurs (529.37 KB, text/plain)
2013-09-09 04:36 EDT, Mark Whidby
no flags Details

  None (edit)
Description Mark Whidby 2013-09-03 06:20:50 EDT
Description of problem:
Installing Xfce on an installation of Scientific Linux will partially break the GNOME help system, producing errors such as "There was an error displaying help: The specified location is not supported".


Version-Release number of selected component (if applicable):
exo-0.6.2-2.el6.x86_64

How reproducible:
I installed Scientific Linux 6.4 and updated it. Installing Xfce from EPEL with a "yum groupinstall Xfce" command partially broke the GNOME help system - clicking on System>Preferences>Appearance>Help for example, produces a pop-up window with the error message "There was an error displaying help: The specified location is not supported". Clicking on many other Help buttons produces the same or similar error - another example is Applications>Accessories>Calculator>Help>Contents. 



Steps to Reproduce:
1. Install Scientific Linux 6.4
2. Install exo RPM from EPEL
3. Access GNOME help by, for example, System>Preferences>Appearance>Help


Actual results:
A popup window with the error "There was an error displaying help: The specified location is not supported".


Expected results:
GNOME help should display information relating to the help requested.


Additional info:
Trial and error adding/removing RPMs suggests that it is the RPM named exo that causes this bug.
Comment 1 Kevin Fenzi 2013-09-03 15:27:40 EDT
Can you attach your ~/.xsession-errors file from a session where this happened?
Comment 2 Mark Whidby 2013-09-04 04:14:38 EDT
Created attachment 793527 [details]
.xsession-errors from a session where the error occurred

The attachment is actually from a 6.2 Scientific Linux installation but the error occurs here as well.

When the RPM exo is *removed* from the system and the error does *not* occur extra output appears in .xsession-errors:

OMF category 'GNOME|Accessories' not recognised, ignoring.
OMF category 'GNOME|Accessories' not recognised, ignoring.
OMF category 'GNOME|Office' not recognised, ignoring.
OMF category 'GNOME|Accessories' not recognised, ignoring.
OMF category 'GNOME|Accessories' not recognised, ignoring.
Comment 3 Kevin Fenzi 2013-09-04 12:35:09 EDT
ok, nothing much there. 

Can you try installing exo and running: 
/usr/bin/gnome-calculator
from a terminal and see if there's any output when the help system fails to work?
Comment 4 Mark Whidby 2013-09-05 04:09:02 EDT
Created attachment 794071 [details]
Output from running gcalctool from a terminal window

The first invocation of gcalctool is *without* exo being installed. The second invocation is *with* exo installed and the help error occurring. Again, there is less output when the error occurs.
Comment 5 Kevin Fenzi 2013-09-08 12:32:21 EDT
yeah, this is a puzzler. ;( 

Can I get you to install strace and run it on both cases and attach that output? 

strace -f -o /tmp/trace.out gcalctool
Comment 6 Mark Whidby 2013-09-09 04:32:32 EDT
Created attachment 795528 [details]
strace output from gcalctool - error does NOT occur
Comment 7 Mark Whidby 2013-09-09 04:36:09 EDT
Created attachment 795529 [details]
strace output from gcalctool - error occurs

I don't know if this helps or not, but if I leave "exo" installed but rename /usr/lib64/gio/modules/libexo-module-1.so to something else (or delete it), then the error no longer occurs.
Comment 8 Kevin Fenzi 2013-09-09 14:19:14 EDT
Some. ;) 

Do you have a ~/.local/share/applications/mimeapps.list file? 

Would you be willing to file this bug upstream at bugzilla.xfce.org, or would you prefer I do so?
Comment 9 Mark Whidby 2013-09-10 04:47:19 EDT
No, I do not have a ~/.local/share/applications/mimeapps.list file.

I will report this at bugzilla.xfce.org.
Comment 10 Mark Whidby 2013-09-10 05:56:22 EDT
I just looked at bugzilla.xfce.org - am I expected to try building my own copy of the latest version of exo to see if the bug is still there before I report it? It looks like I should be trying at least version 0.8.0 and not the 0.6.2 that is in EPEL.
Comment 11 Kevin Fenzi 2013-09-10 15:09:24 EDT
Did someone ask you to do so? It might be that the exo maintainer wants to know if it's already fixed, but it won't be easy to update exo and they may well have an idea what the problem is in the older version.

Whats the upstream bug number?

Note You need to log in before you can comment on or make changes to this bug.